
Figure - Bug #115270
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开多任务管理器时,会出现短暂卡顿
2023-01-12 15:42 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-12

Priority: Normal Due date: 2023-02-08

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一些应用

2、上滑打开任务管理器

【预期结果】

2、打开过程流畅自然

【实际结果】

2、会出现短暂卡顿

PS:后台有应用就会有卡顿感,应用多时,顿感较强

History

#1 - 2023-01-12 19:07 - CD APP-王营

- Due date set to 2023-02-08

#2 - 2023-01-29 10:17 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-02-06 20:04 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-02-07 11:48 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-07

- Root cause set to 编码问题
■ Current conclusion

已入库

■ My analysis

在动画初始化好过后才初始化好recent中各控件的位置，会导致飞入前一种状态下的位置中，

只需要将控件位置初始化的时机提前到动画创建之前就能解决问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179308

同 https://share.thundersoft.com/redmine/issues/115301 一样

#5 - 2023-02-08 10:49 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

2.8

验证通过

#6 - 2023-02-08 10:50 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

多任务管理器卡顿.mp4 5.2 MB 2023-01-12 CD TEST-方永红

2025-07-04 2/2

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179308
https://share.thundersoft.com/redmine/issues/115301

